%define truename babelbib
Name: tetex-latex-%truename
Version: 1.20
Release: alt1

Summary: Multilingual bibliographies: The babelbib package for LaTeX
Summary(ru_RU.CP1251):   ( babel)   BibTeX
License: LaTeX Project Public License
Group: Publishing
Url: http://tug.ctan.org/tex-archive/biblio/bibtex/%truename
Packager: Igor Vlasenko <viy@altlinux.ru>

Source: ftp://tug.ctan.org/pub/tex-archive/biblio/bibtex/%truename/%truename.zip
Source1: babelbibtest-ru.tex
Source2: babelbibtest-ru.bib
Patch:  %truename-1.20-add-russian-alt.patch
Patch1: %truename-1.20-add-russian-alt-recoded.patch
Patch2: %truename-kill-checksum-alt.patch

BuildArch: noarch

# Automatically added by buildreq on Wed Jan 04 2006
BuildRequires: cm-super-fonts-pfb cm-super-fonts-tex-dvips latex2html tetex-core tetex-latex unzip

%description
This package enables to generate multilingual bibliographies in
cooperation with babel. Two approaches are possible: Each citation
may be written in another language, or the whole bibliography can 
be typeset in a language chosen by the user. The current version 
supports Afrikaans, Danish, Dutch, English, Esperanto, Finnish, French,
German, Italian, Norwegian, Portuguese, Russian, Spanish, and Swedish.
  In addition, the package supports commands to change the typography
of the bibliographies.
  Many of the standard and extended bibliography styles are available.

%prep
%setup -q -n %truename
%patch1 -p0
%patch2 -p0

%build
make 

%install
INSTALLDIR=%buildroot/usr/share/texmf/tex/latex/babelbib
DOCDIR=%buildroot/usr/share/texmf/doc/latex/babelbib
BSTDIR=%buildroot/usr/share/texmf/bibtex/bst/babelbib
if [ ! -d $INSTALLDIR ]; then mkdir -p $INSTALLDIR; fi
if [ ! -d $DOCDIR ]; then mkdir -p $DOCDIR; fi
if [ ! -d $BSTDIR ]; then mkdir -p $BSTDIR; fi
install -m644 babelbib.sty $INSTALLDIR
install -m644 *.bdf $INSTALLDIR
install -m644 *.bst $BSTDIR
install -m644 babelbib.pdf $DOCDIR

%post
texhash >/dev/null

%postun
texhash >/dev/null

%files
%doc README ChangeLog babelbib.xml babelbibtest.bib tugboat-babelbib.pdf babelbibtest.tex
%dir /usr/share/texmf/bibtex/bst/babelbib
%dir /usr/share/texmf/tex/latex/babelbib
%dir /usr/share/texmf/doc/latex/babelbib
/usr/share/texmf/bibtex/bst/babelbib/*
/usr/share/texmf/tex/latex/babelbib/*
/usr/share/texmf/doc/latex/babelbib/*

%changelog
* Thu Jan 05 2006 Igor Vlasenko <viy@altlinux.ru> 1.20-alt1
- initial build
